## MacPorts-2.1.2.tar.gz

=== src/cregistry/Makefile ===
# $Id: Makefile 88376 2011-12-30 00:17:49Z cal@macports.org $

OBJS = registry.o entry.o sql.o vercomp.o util.o file.o
STLIB_NAME = cregistry.a
RANLIB = ranlib

SQLEXT_NAME = macports.sqlext
SQLEXT_OBJS = sqlext.o vercomp.o

include ../../Mk/macports.autoconf.mk

all:: ${STLIB_NAME} ${SQLEXT_NAME}

.c.o:
	${CC} -c -DUSE_TCL_STUBS ${CFLAGS} ${CPPFLAGS} ${SHLIB_CFLAGS} $< -o $@

${STLIB_NAME}:: ${OBJS}
	${STLIB_LD} ${STLIB_NAME} ${OBJS}
	${RANLIB} ${STLIB_NAME}

${SQLEXT_NAME}: ${SQLEXT_OBJS}
	${SHLIB_LD} ${SQLEXT_OBJS} -o $@

clean::
	rm -f ${STLIB_NAME} ${SQLEXT_NAME} ${SQLEXT_OBJS} ${OBJS}

distclean:: clean

test:

install:: all

=== src/port1.0/Makefile ===
INSTALLDIR=	${DESTDIR}${datadir}/macports/Tcl/port1.0

SRCS=	port.tcl portchecksum.tcl portconfigure.tcl portextract.tcl	    \
	portfetch.tcl portmain.tcl portbuild.tcl portpatch.tcl portutil.tcl \
	portinstall.tcl portuninstall.tcl portdepends.tcl portdestroot.tcl \
	portlint.tcl portclean.tcl porttest.tcl portactivate.tcl \
	portdeactivate.tcl portsubmit.tcl port_autoconf.tcl portstartupitem.tcl \
	porttrace.tcl portlivecheck.tcl portdistcheck.tcl portmirror.tcl \
	portload.tcl portunload.tcl portdistfiles.tcl fetch_common.tcl

include ../../Mk/macports.subdir.mk
include ../../Mk/macports.autoconf.mk

.PHONY: test

all:: pkgIndex.tcl

pkgIndex.tcl: $(SRCS)
	$(SILENT) ../pkg_mkindex.sh . || ( rm -rf $@ && exit 1 )

clean::
	rm -f pkgIndex.tcl

distclean:: clean
	rm -f port_autoconf.tcl

install:: all
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
	$(SILENT)set -x; for file in ${SRCS}; do \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file ${INSTALLDIR}; \
	done
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 pkgIndex.tcl ${INSTALLDIR}

test::
	${TCLSH} tests/portutil.tcl ${macports_tcl_dir}
	${TCLSH} tests/portdestroot.tcl ${macports_tcl_dir}
	${TCLSH} tests/portfetch.tcl ${macports_tcl_dir}

=== tests/test/envvariables/Portfile ===
# $Id: Portfile 79489 2011-06-15 20:31:28Z jmr@macports.org $

PortSystem 1.0
name		envvariables
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for env variables
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
	puts $env(ENVA)
	puts $env(ENVB)
}
